Post
/api/mcp-manager/mcp-servers/{serverId}/policies/order
Reorders the policies on an MCP server. Only allowed when the server has policy ordering enabled (see policyOrderingEnabled on the MCP server); returns 400 otherwise. The request is authoritative for the listed policies.
Security
HTTP
Type bearer
Path parameters
serverId
stringRequired
Id of the mcp server whose policies are being ordered
Body parameters
List of policy ids and their order values
Array of object
object
id
string Required
Unique ID of the policy
order
integer Required
Order value for the policy
Example1
Responses
200
Policy order updated successfully
Array of object
object
id
string
Unique ID of the policy
order
integer
Order value for the policy
Example1
400
Ordering disabled or invalid request
404
MCP Server not found